import { PipeTransform, ChangeDetectorRef } from '@angular/core';
import { L10nDateTimeFormatOptions } from '../models/types';
import { L10nAsyncPipe } from '../models/l10n-async-pipe';
import { L10nIntlService } from '../services/l10n-intl.service';
import { L10nTranslationService } from '../services/l10n-translation.service';
export declare class L10nDatePipe implements PipeTransform {
    protected intl: L10nIntlService;
    constructor(intl: L10nIntlService);
    transform(value: any, language: string, options?: L10nDateTimeFormatOptions, timezone?: string): string | null;
}
export declare class L10nDateAsyncPipe extends L10nAsyncPipe implements PipeTransform {
    protected translation: L10nTranslationService;
    protected cdr: ChangeDetectorRef;
    protected intl: L10nIntlService;
    constructor(translation: L10nTranslationService, cdr: ChangeDetectorRef, intl: L10nIntlService);
    transform(value: any, options?: L10nDateTimeFormatOptions, language?: string, timezone?: string): string | null;
}
