/**
 * Implement this class-interface to create an handler for translated values.
 */
export declare abstract class L10nTranslationHandler {
    /**
     * This method must contain the logic to parse the translated value.
     * @param key The key that has been requested
     * @param params The parameters passed along with the key
     * @param value The translated value
     * @return The parsed value
     */
    abstract parseValue(key: string, params: any, value: any): string | any;
}
export declare class L10nDefaultTranslationHandler implements L10nTranslationHandler {
    parseValue(key: string, params: any, value: any): string | any;
}
